boundry.
RegionSydney, Australia
Documentation/sendBatchEmails
POST/emails/batch

sendBatchEmails

Authentication

This operation does not declare an authentication requirement in the API contract.

Request body (required)

FieldTypeDescription
emailsrequiredarray

fromrequiredstring

Example: "Acme <hello@example.com>".

torequiredstring (email) | array

Option 1string (email)

One permitted response shape.

Option 2array

One permitted response shape.

ccarray

bccarray

reply_toarray

subjectrequiredstring

htmlstring

textstring

headersobject

tagsarray

namerequiredstring

valuerequiredstring

scheduled_atstring (date-time)

attachmentsarray

filenamerequiredstring

contentstring (byte)

pathstring (uri)

content_typestring

content_idstring

templatestring | object

Option 1string

One permitted response shape.

Option 2object

One permitted response shape.

idrequiredstring

variablesobject

Request examples

request.sh
bash
curl --request POST 'https://api.au.boundry.dev/emails/batch' \
+  -H 'Authorization: Bearer $BOUNDRY_API_KEY' \
+  -H 'Content-Type: application/json' \
+  --data '{"emails":[{"from":"Acme <hello@example.com>","to":"string","cc":["string"],"bcc":["string"],"reply_to":["string"],"subject":"string","html":"string","text":"string","tags":[{"name":"string","value":"string"}],"scheduled_at":"string","attachments":[{"filename":"string","content":"string","path":"string","content_type":"string","content_id":"string"}],"template":"string"}]}'

200 response

IDs in input order

FieldTypeDescription
dataarray

idrequiredstring

Example: "msg_01...".

response.jsonExample response
application/json
{
  "data": [
    {
      "id": "msg_01..."
    }
  ]
}